Bug 841274

Summary: resource tree's right-mouse context menu item "Import" is empty or has incorrect types.
Product: [Other] RHQ Project Reporter: Jay Shaughnessy <jshaughn>
Component: Core UIAssignee: Armine Hovsepyan <ahovsepy>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: urgent Docs Contact:
Priority: urgent    
Version: 4.4CC: hrupp, jshaughn, lzoubek, mazz, mfoley
Target Milestone: ---   
Target Release: JON 3.1.1   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 831254 Environment:
Last Closed: 2013-09-03 11:09:05 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 831254    
Bug Blocks:    
Attachments:
Description Flags
import resources none

Description Jay Shaughnessy 2012-07-18 10:31:16 EDT
+++ This bug was initially created as a clone of Bug #831254 +++

1) Import a platform
2) Navigate to the platform in the UI so you see the left-hand resource tree
3) Right-mouse click over the platform root node
4) Notice the Import menu item is empty.

It should not be empty. If you go to the Inventory>Child Resources subtab, the bottom shows an "Import" menu button with the correct menu items that should also be there under the tree's Import context-menu item.

--- Additional comment from jshaughn@redhat.com on 2012-06-12 12:00:35 EDT ---


I'm not sure but I think this a regression due to bug 814305.  It seems like Import is getting the Create Child list.

As an aside, I'm not sure the fix for 814305 goes far enough, as it seems only to alter the context menu entries and not the menus on the Inventory-Child Resources subtab. Will look at that as well.

--- Additional comment from jshaughn@redhat.com on 2012-06-13 21:56:54 EDT ---


master commit 1667f9730e4d547b399e1b30ad9965d8773d11a5

This was a regression introduced in the fix for bug 814305. It has been
fixed, see that bug for more details.
Comment 1 Jay Shaughnessy 2012-07-18 10:32:24 EDT

Release/jon3.1.x commit: d06810bddd374669a54f254ad7ca7b94ccae0da5

    Fix the context menu issue which was introduced with the original fix for
    the singleton filtering support.  There were a few issues here. In
    the changes made to the context menu:
    - fix confusion around and lack of complete support for both create child and import
    - consolidate duplicate server calls, narrow the results with more criteria,
      and avoid the call when not needed.
    Additionally, the analogous change was not made to the Inventory->Child Resources
    view which also offers Create Child and Import.  The change here ended up being
    tricky because it involved Table's TableActions, and filtering the menu
    button values in the footer.  This led to a ** CHANGE IN Table **, to add more
    robust support for subclasses overriding default InitializableView support. In
    short, Table subclasses can now perfom async calls in onInit() if they
    properly override isInitialized() and be assured that configureTable() will
    be called after initialization is complete.
    
    Conflicts:
    
    	modules/enterprise/gui/coregui/src/main/java/org/rhq/enterprise/gui/coregui/client/inventory/resource/ResourceCompositeSearchView.java
    	modules/enterprise/gui/coregui/src/main/java/org/rhq/enterprise/gui/coregui/client/inventory/resource/detail/ResourceTreeView.java
    
    Cherry-pick of master: 1667f9730e4d547b399e1b30ad9965d8773d11a5
Comment 2 John Sanda 2012-08-02 14:52:13 EDT
JON 3.1.1 ER1 build is available. Moving to ON_QA.

https://brewweb.devel.redhat.com/buildinfo?buildID=226942
Comment 3 Libor Zoubek 2012-08-03 05:37:53 EDT
verified on JON 3.1.1 ER1
Comment 4 Armine Hovsepyan 2012-08-03 12:34:33 EDT
Created attachment 602168 [details]
import resources

verified.
Comment 5 Heiko W. Rupp 2013-09-03 11:09:05 EDT
Bulk closing of old issues in VERIFIED state.